Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLImageDataWriter Class Reference

`#include <vtkXMLImageDataWriter.h>`

Inheritance diagram for vtkXMLImageDataWriter:

[legend]
Collaboration diagram for vtkXMLImageDataWriter:

[legend]
List of all members.

## Detailed Description

Write VTK XML ImageData files.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkXMLImageDataWriter writes the VTK XML ImageData file format. One image data input can be written into one file in any number of streamed pieces. The standard extension for this writer's file format is "vti". This writer is also used to write a single piece of the parallel file format.

See also:
  vtkXMLPImageDataWriter

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLImageDataWriter.cxx)`
  - .`h` (`/IO/vtkXMLImageDataWriter.h)`

Definition at line 49 of file vtkXMLImageDataWriter.h.

## Public Types
typedef vtkXMLStructuredDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
const char * | GetDefaultFileExtension ()
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
## Static Public Methods
vtkXMLImageDataWriter * | New ()
int | IsTypeOf (const char *type)
vtkXMLImageDataWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLImageDataWriter ()
| ~vtkXMLImageDataWriter ()
void | WritePrimaryElementAttributes ()
void | GetInputExtent (int *extent)
const char * | GetDataSetName ()

## Member Typedef Documentation

typedef vtkXMLStructuredDataWriter vtkXMLImageDataWriter::Superclass

| Reimplemented from vtkXMLStructuredDataWriter. Definition at line 53 of file vtkXMLImageDataWriter.h.

## Constructor & Destructor Documentation

vtkXMLImageDataWriter::vtkXMLImageDataWriter | ( |  | ) | `[protected]`

vtkXMLImageDataWriter::~vtkXMLImageDataWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkXMLImageDataWriter* vtkXMLImageDataWriter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkXMLImageDataWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

int vtkXMLImageDataWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

virtual int vtkXMLImageDataWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataWriter.

vtkXMLImageDataWriter* vtkXMLImageDataWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLImageDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLImageDataWriter::SetInput | ( | vtkImageData * | input | ) |

| Get/Set the writer's input.

vtkImageData* vtkXMLImageDataWriter::GetInput | ( |  | ) |

| Get/Set the writer's input.

const char* vtkXMLImageDataWriter::GetDefaultFileExtension | ( |  | ) | `[virtual]`

| Get the default file extension for files written by this writer. Implements vtkXMLWriter.

void vtkXMLImageDataWriter::WritePrimaryElementAttributes | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataWriter.

void vtkXMLImageDataWriter::GetInputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataWriter.

const char* vtkXMLImageDataWriter::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLWriter.

The documentation for this class was generated from the following file:

- IO/vtkXMLImageDataWriter.h